Bug 120463 - /usr/bin/pydict shebang line points to obsolete python
Summary: /usr/bin/pydict shebang line points to obsolete python
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pydict   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Leon Ho
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-08 23:55 UTC by Derek Poon
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 06:00:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Poon 2004-04-08 23:55:03 UTC
Description of problem:

The shebang line of /usr/bin/pydict is
#!/usr/bin/python2.2

But Fedora Core 2 ships with python 2.3, so the interpreter is not found.


Version-Release number of selected component (if applicable):
pydict-0.3.0-6

How reproducible:
Every time.

Steps to Reproduce:
1. /usr/bin/pydict
  
Actual results:

bash: /usr/bin/pydict: /usr/bin/python2.2: bad interpreter: No such
file or directory


Expected results:

pydict should have launched.


Additional info:

Workaround is to either
 a) Edit the shebang line to point to python, or
 b) Run the application explicitly using "python /usr/bin/pydict".

Comment 1 Leon Ho 2004-05-21 06:00:11 UTC
Thank you for your report. Latest fixed package should be in rawhide
now! Cheers


Note You need to log in before you can comment on or make changes to this bug.